%define	dist .tuju	
Name:           libsyncml
Version:        0.4.4
Release:        0%{?dist}.1
Summary:        SyncML library

Group:          System Environment/Libraries
License:        GPL
URL:            http://libopensync.opensync.org/
Source0:        %{name}-%{version}.tar.bz2
#Patch0:		libsyncml-0.4.0+182.patch
#Patch1:		libsyncml-wbxml.patch
#Patch2:		libsyncml-SyncML1.2-Nokia-E63.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libsoup-devel,  openobex-devel, wbxml2-devel

%description
%{summary}

%package devel
Summary:        System Environment/Libraries development files
Group:          Development/Libraries

%description devel
%{summary}

%prep 
%setup -q
#%patch0
#%patch2 -p0

%build
%configure --enable-http --enable-obex
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name *.la -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}
%{_libdir}
%{_mandir}

%files devel
%{_includedir}

%changelog
* Fri Apr 06 2007 Juha Tuomala <tuju@iki.fi> 0.22-0.tuju-1
- update to 0.4.4.

* Sat Nov 25 2006 Juha Tuomala <Juha.Tuomala@iki.fi> 0.4.2-0.tuju.1
- Updated to 0.4.2.
- Patch to fix wbxml DTD problem.

* Mon Aug 7 2006 Juha Tuomala <Juha.Tuomala@iki.fi> 0.4.0-0.tuju.2
- Patched to 182 changeset.

* Fri Aug 4 2006 Juha Tuomala <Juha.Tuomala@iki.fi> 0.4.0-0.tuju.1
- initial version
